Bug 118979 - apply and de-apply EM (emphasis) and "bold" using styles and/or direct formatting
Summary: apply and de-apply EM (emphasis) and "bold" using styles and/or direct format...
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2018-07-28 20:16 UTC by peter josvai
Modified: 2018-07-29 21:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description peter josvai 2018-07-28 20:16:56 UTC
Description:
this problem (that comes from direct formatting "bold" applied alongside "EM") has been there for ages.. but now with the appearance of the gorgeous Styles toolbar, it needs to be resolved...

the problem is demonstrated below NOT in 3 steps, 
but in 3 different, independent versions...

so, step one is ONE demonstration, step 2 is another one, too, and step 3, too..

Steps to Reproduce:
1. You open a doc, type 3 words, or 1, apply "emphasis" to them from Styles toolbar or menu


2. You click in Direct formatting toolbar "Ax", to clear styles

3. alternatively, You click "A" again (2nd time) in direct formatting toolbar

Actual Results:
1. -- result:  the direct formatting toolbar's "a" as "italic" is set active...

2. -- result: nothing happens

3. -- result: it becomes clear.. the direct formatting "a" as "italic" is set to inactive, BUT "Em", or in 6.2 alpha "E", stays active, and the text selection remains "italic".. "emphasis-ed" ...

Expected Results:
1. -- expected: direct formatting "a" as "italic" should be LOWER CASE, and should NOT be set active by the style's "Em"... 

2. -- the direct formatting "italic" should be cleared (but it stays active)

3. -- it should NOT be active in the first place.. but now that it is active, it should be CLEARED by "ax" (clear direct formatting)... and EM shuld be cleared, too... and the applied "emphasis" should be cleared... which is not so wise...
so, I guess, it should NOT be set active...


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha0+
Build ID: 5a7d18e432571fb1e9b2cd54d6168353d25c6f19
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-07-26_22:07:10
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 1 V Stuart Foote 2018-07-29 17:04:55 UTC
When the "new" 'Formatting (Styles)' toolbar was implemented for bug 106781--it was known that there would be a disconnect between the stateful "button" control of the legacy 'Formatting' toolbar's Bold, Itallic, Underline, Double Underline, Strikethrough, and Overline that each apply Direct Formatting.

The new Formatting (Styles) toolbar buttons will indicate the Character style(s) applied to a selected text run. The character style applied also toggles a corresponding Bold or Italic formatting button on the Formatting toolbar--that linkage can be confusing, is it a Style or is it the DF?

However toggling either formatting button will not modify the Style--rather it applies DF against the selection over top of the style.  Removing the DF (menu Format -> Clear Direct Formatting) will restore the selection to its style as set.

IMHO this is correct and desired behavior--though we could possibly disconnect the Style applied from the new Formatting (Style) toolbar from manifesting either the Bold or the Italic button on the legacy Formatting toolbar.

It is kind of useless, as just the Emphasis and the Strong Emphasis manifest.
Comment 2 peter josvai 2018-07-29 21:58:45 UTC
Stuart, 

I guess only 2.5% of all people understand the difference between Styles and DF...

in the everyday practice you used to make it "italic".. and now it's no longer so simple...

today you have to take off an entire toolbar.. (DF)... 
(okay, leave some part of it,for some simple texts)
not more than 2.5% of all people will do that...

people still want their text-selection to be italic or bold... 
not "styled" or "emphasis-ed"... which is still cool...

but you can go TWO ways...

you can assign it St and DF..
but if you assign it St, it will be indicated as "active" in DF, too...
which logically means that we should be able to clean it through clikcking a DF button...

in my HO, the two things should be separated...
assigning an Em should not appear to be as an "italic", too...
the fact that it results in an italic, too (unless you def otherwise)
is nicely indicated... by the TEXT itself!! :)

that is, I push "Em", wow! it makes it look italic.. just like when I push "CTRL+i".. but I can see which of these ways I applied this formatting...

(sorry for the length)  Peter